// REPEAT.........................
const repeat = (x: number, n: number): ReadonlyArray<number> => range(1, n).map(v => v = x)
console.log(repeat(1, 10));
// ................................

// POWER..........................
const Power = (x: number, n: number): number => repeat(x, n).reduce((x, n) => x * n);
console.log(Power(2, 4));
// ................................